summary refs log tree commit diff
path: root/bin/centercon
diff options
context:
space:
mode:
Diffstat (limited to 'bin/centercon')
-rwxr-xr-xbin/centercon2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/centercon b/bin/centercon
index dff3cda..90419fd 100755
--- a/bin/centercon
+++ b/bin/centercon
@@ -34,7 +34,7 @@ if [ -n "$1" ] || [ ! "$1" = "-" ]; then
 	con_width=$(awk "BEGIN{print int($con_height * $ratio)}")
 fi
 
-if (( perc >= 1 )); then
+if awk "BEGIN{ if (${perc} >= 1.0) exit 0; else exit 1; }"; then
 	printf "scaling factor %.1f larger than 100%%, aborting...\n" "${perc}"
 	exit 1
 fi